From cbcb28f91f2c5dab9300ded79dc8e246a7ae0f36 Mon Sep 17 00:00:00 2001
From: Niels De Graef <nielsdegraef@gmail.com>
Date: Sat, 7 Nov 2020 12:01:59 +0100
Subject: [PATCH] Fix build when -Dtelepathy=true

---
 src/contacts-contact-list.vala  | 2 +-
 src/contacts-contact-sheet.vala | 4 +++-
 src/contacts-utils.vala         | 4 ++--
 3 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/src/contacts-contact-list.vala b/src/contacts-contact-list.vala
index aa3cd33..b371644 100644
--- a/src/contacts-contact-list.vala
+++ b/src/contacts-contact-list.vala
@@ -243,7 +243,7 @@ public class Contacts.ContactList : ListBox {
     selection_changed (individual);
 #if HAVE_TELEPATHY
     if (individual != null)
-      Contact.fetch_contact_info (individual);
+      Utils.fetch_contact_info (individual);
 #endif
   }
 
diff --git a/src/contacts-contact-sheet.vala b/src/contacts-contact-sheet.vala
index b6c2249..669e771 100644
--- a/src/contacts-contact-sheet.vala
+++ b/src/contacts-contact-sheet.vala
@@ -27,6 +27,7 @@ using Gee;
 public class Contacts.ContactSheet : Grid {
   private int last_row = 0;
   private Individual individual;
+  private unowned Store store;
   public bool narrow { get; set; default = true; }
 
   private const string[] SORTED_PROPERTIES = {
@@ -43,6 +44,7 @@ public class Contacts.ContactSheet : Grid {
   public ContactSheet (Individual individual, Store store) {
     Object (row_spacing: 12, column_spacing: 12);
     this.individual = individual;
+    this.store = store;
 
     this.individual.notify.connect (update);
     this.individual.personas_changed.connect (update);
@@ -242,7 +244,7 @@ public class Contacts.ContactSheet : Grid {
                 var type = im_persona.presence_type;
                 if (type != PresenceType.UNSET && type != PresenceType.ERROR &&
                     type != PresenceType.OFFLINE && type != PresenceType.UNKNOWN) {
-                  Utils.start_chat (this.contact, protocol, id.value);
+                  Utils.start_chat (this.individual, protocol, id.value);
                 }
               }
             });
diff --git a/src/contacts-utils.vala b/src/contacts-utils.vala
index 879c4a9..8f3b8c1 100644
--- a/src/contacts-utils.vala
+++ b/src/contacts-utils.vala
@@ -80,8 +80,8 @@ namespace Contacts.Utils {
   }
 
 #if HAVE_TELEPATHY
-  public void start_chat (Contact contact, string protocol, string id) {
-    var im_persona = contact.find_im_persona (protocol, id);
+  public void start_chat (Individual individual, string protocol, string id) {
+    var im_persona = Utils.find_im_persona (individual, protocol, id);
     var account = (im_persona.store as Tpf.PersonaStore).account;
     var request_dict = new HashTable<string, Value?>(str_hash, str_equal);
     request_dict.insert (TelepathyGLib.PROP_CHANNEL_CHANNEL_TYPE,
-- 
2.27.0

